unit Findimg;

interface
uses DsgnIntf,forms,wintypes,winprocs,graphics,extctrls;

type
  TPictureEditor=class(TClassProperty)
  public
    procedure Edit; override;
    function GetAttributes:TPropertyAttributes; override;
  end;

  TBitmapEditor=class(TClassProperty)
  public
    procedure Edit; override;
    function GetAttributes:TPropertyAttributes; override;
  end;

procedure Register;

implementation
uses imgfind;

procedure TPictureEditor.Edit;
var
  pix : TimgFinder;
  h   : tHandle;

begin
  pix:=TimgFinder.Create(Application);
  try
{    MessageBeep($ffff);}
    pix.BMPOnly:=FALSE;
    pix.image.picture.assign(TPicture(GetOrdValue));
    if pix.ShowModal=idOK then
      SetOrdValue(longint(pix.image.picture));
  finally
    pix.Free;
  end;
end;

function TPictureEditor.GetAttributes:TPropertyAttributes;
begin
  GetAttributes:=[paMultiSelect,paDialog,paReadOnly];
end;

procedure TBitmapEditor.Edit;
var
  pix : TimgFinder;
  h   : tHandle;

begin
  pix:=TimgFinder.Create(Application);
  try
{    MessageBeep($ffff);}
    pix.BMPOnly:=TRUE;
    pix.image.picture.bitmap:=TBitmap.Create;
    pix.image.picture.bitmap.assign(TBitmap(GetOrdValue));
    if pix.ShowModal=idOK then
      SetOrdValue(longint(pix.image.picture.bitmap));
  finally
    pix.Free;
  end;
end;

function TBitmapEditor.GetAttributes:TPropertyAttributes;
begin
  GetAttributes:=[paMultiSelect,paDialog,paReadOnly];
end;

procedure Register;
begin
  RegisterPropertyEditor(TypeInfo(TPicture),nil,'',TPictureEditor);
  RegisterPropertyEditor(TypeInfo(TBitmap),nil,'',TBitmapEditor);
end;

end.
